Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Class T3Exception

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.common.T3Exception

Direct Known Subclasses:
  RemoteException, TimeTriggerException

Deprecated. Deprecated in WebLogic Server 6.1.

public class T3Exception
extends java.io.IOException
implements weblogic.utils.NestedThrowable

A T3Exception is thrown whenever an error occurs between a T3Client and a WebLogic Server.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`T3Exception()` Deprecated.
`T3Exception(java.lang.String s)` Deprecated. Deprecated in WebLogic Server 6.1.
`T3Exception(java.lang.String s, java.lang.Throwable ne)` Deprecated. Deprecated in WebLogic Server 6.1.

Method Summary
`java.lang.Throwable` | `getNested()` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.Throwable` | `getNestedException()` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `printStackTrace()` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `printStackTrace(java.io.PrintStream s)` Deprecated. Deprecated in WebLogic Server 6.1.
`protected void` | `setNestedException(java.lang.Throwable nestedException)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `superPrintStackTrace(java.io.PrintStream ps)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `superPrintStackTrace(java.io.PrintWriter po)` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.String` | `superToString()` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.String` | `toString()` Deprecated. Deprecated in WebLogic Server 6.1.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### T3Exception

    public T3Exception(java.lang.String s)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Constructor.

  Parameters:
    `s` - String message

### T3Exception

    public T3Exception()

  Deprecated.

### T3Exception

    public T3Exception(java.lang.String s,
                       java.lang.Throwable ne)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Constructs a T3Exception with the specified string and nested Exception.

  Parameters:
    `s` - String message
    `ne` - Exception

Method Detail

### setNestedException

    protected void setNestedException(java.lang.Throwable nestedException)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Gets the nested exception for a T3Exception.

  Returns:
    Nested exception

### getNestedException

    public java.lang.Throwable getNestedException()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Gets the nested exception for a T3Exception.

  Returns:
    Nested exception

### toString

    public java.lang.String toString()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Prints the exception message and its nested exception message.

  Returns:
    String representation of the exception
  Overrides:
    toString in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Prints the stack trace associated with this exception and its nested exception.

  Parameters:
    `s` - PrintStream
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Prints the stack trace associated with this exception and its nested exception to System.err.

  Parameters:
    `s` - PrintStream
  Overrides:
    printStackTrace in class java.lang.Throwable

### getNested

    public java.lang.Throwable getNested()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Specified by:
    getNested in interface weblogic.utils.NestedThrowable

### superToString

    public java.lang.String superToString()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Specified by:
    superToString in interface weblogic.utils.NestedThrowable

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintStream ps)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Specified by:
    superPrintStackTrace in interface weblogic.utils.NestedThrowable

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintWriter po)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Specified by:
    superPrintStackTrace in interface weblogic.utils.NestedThrowable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference